# Account

Represents an account in the Polymesh blockchain. Accounts can hold POLYX, control Identities and vote on proposals (among other things)

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)‹UniqueIdentifiers, string›

  ↳ **Account**

  ↳ [CurrentAccount](/polymesh-sdk-api-reference/docs-v7/classes/currentaccount.md)

## Index

### Properties

* [address](/polymesh-sdk-api-reference/docs-v7/classes/account.md#address)
* [authorizations](/polymesh-sdk-api-reference/docs-v7/classes/account.md#authorizations)
* [context](/polymesh-sdk-api-reference/docs-v7/classes/account.md#protected-context)
* [key](/polymesh-sdk-api-reference/docs-v7/classes/account.md#key)
* [uuid](/polymesh-sdk-api-reference/docs-v7/classes/account.md#uuid)

### Methods

* [getBalance](/polymesh-sdk-api-reference/docs-v7/classes/account.md#getbalance)
* [getIdentity](/polymesh-sdk-api-reference/docs-v7/classes/account.md#getidentity)
* [getPermissions](/polymesh-sdk-api-reference/docs-v7/classes/account.md#getpermissions)
* [getTransactionHistory](/polymesh-sdk-api-reference/docs-v7/classes/account.md#gettransactionhistory)
* [hasPermissions](/polymesh-sdk-api-reference/docs-v7/classes/account.md#haspermissions)
* [isEqual](/polymesh-sdk-api-reference/docs-v7/classes/account.md#isequal)
* [isFrozen](/polymesh-sdk-api-reference/docs-v7/classes/account.md#isfrozen)
* [toJson](/polymesh-sdk-api-reference/docs-v7/classes/account.md#tojson)
* [generateUuid](/polymesh-sdk-api-reference/docs-v7/classes/account.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v7/classes/account.md#static-unserialize)

## Properties

### address

• **address**: *string*

*Defined in* [*src/api/entities/Account.ts:55*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L55)

Polymesh-specific address of the account. Serves as an identifier

### authorizations

• **authorizations**: [*Authorizations*](/polymesh-sdk-api-reference/docs-v7/classes/authorizations.md)*‹*[*Account*](/polymesh-sdk-api-reference/docs-v7/classes/account.md)*›*

*Defined in* [*src/api/entities/Account.ts:63*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L63)

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v7/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Entity.ts#L48)

### key

• **key**: *string*

*Defined in* [*src/api/entities/Account.ts:60*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L60)

public key of the account. This is a hex representation of the address that is transversal to any Substrate chain

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Entity.ts#L46)

## Methods

### getBalance

▸ **getBalance**(): *Promise‹*[*AccountBalance*](/polymesh-sdk-api-reference/docs-v7/globals.md#accountbalance)*›*

*Defined in* [*src/api/entities/Account.ts:85*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L85)

Get the free/locked POLYX balance of the account

**`note`** can be subscribed to

**Returns:** *Promise‹*[*AccountBalance*](/polymesh-sdk-api-reference/docs-v7/globals.md#accountbalance)*›*

▸ **getBalance**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v7/globals.md#subcallback)‹[AccountBalance](/polymesh-sdk-api-reference/docs-v7/globals.md#accountbalance)›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v7/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Account.ts:86*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L86)

**Parameters:**

| Name       | Type                                                                                                                                                       |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v7/globals.md#subcallback)‹[AccountBalance](/polymesh-sdk-api-reference/docs-v7/globals.md#accountbalance)› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v7/globals.md#unsubcallback)*›*

### getIdentity

▸ **getIdentity**(): *Promise‹*[*Identity*](/polymesh-sdk-api-reference/docs-v7/classes/identity.md) *| null›*

*Defined in* [*src/api/entities/Account.ts:104*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L104)

Retrieve the Identity associated to this Account (null if there is none)

**Returns:** *Promise‹*[*Identity*](/polymesh-sdk-api-reference/docs-v7/classes/identity.md) *| null›*

### getPermissions

▸ **getPermissions**(): *Promise‹Permissions›*

*Defined in* [*src/api/entities/Account.ts:242*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L242)

Retrieve the Permissions this Signer has as a Signing Key for its corresponding Identity

**Returns:** *Promise‹Permissions›*

### getTransactionHistory

▸ **getTransactionHistory**(`filters`: object): *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v7/interfaces/resultset.md)*‹*[*ExtrinsicData*](/polymesh-sdk-api-reference/docs-v7/interfaces/extrinsicdata.md)*››*

*Defined in* [*src/api/entities/Account.ts:136*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L136)

Retrieve a list of transactions signed by this account. Can be filtered using parameters

**`note`** uses the middleware

**Parameters:**

▪`Default value` **filters**: *object*= {}

| Name           | Type                       | Description                                   |
| -------------- | -------------------------- | --------------------------------------------- |
| `blockNumber?` | BigNumber                  | -                                             |
| `orderBy?`     | TransactionOrderByInput    | -                                             |
| `size?`        | undefined \| number        | page size                                     |
| `start?`       | undefined \| number        | page offset                                   |
| `success?`     | undefined \| false \| true | whether the transaction was successful or not |
| `tag?`         | TxTag                      | tag associated with the transaction           |

**Returns:** *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v7/interfaces/resultset.md)*‹*[*ExtrinsicData*](/polymesh-sdk-api-reference/docs-v7/interfaces/extrinsicdata.md)*››*

### hasPermissions

▸ **hasPermissions**(`permissions`: [SimplePermissions](/polymesh-sdk-api-reference/docs-v7/interfaces/simplepermissions.md)): *Promise‹boolean›*

*Defined in* [*src/api/entities/Account.ts:270*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L270)

Check if this Account possesses certain Permissions for its corresponding Identity

**Parameters:**

| Name          | Type                                                                                     |
| ------------- | ---------------------------------------------------------------------------------------- |
| `permissions` | [SimplePermissions](/polymesh-sdk-api-reference/docs-v7/interfaces/simplepermissions.md) |

**Returns:** *Promise‹boolean›*

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)‹unknown, unknown›): *boolean*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*isEqual*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Entity.ts#L61)

Whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                              |
| -------- | --------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

### isFrozen

▸ **isFrozen**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Account.ts:221*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L221)

Check whether this Account is frozen. If frozen, it cannot perform any action until the primary key of the Identity unfreezes all secondary keys

**Returns:** *Promise‹boolean›*

### toJson

▸ **toJson**(): *string*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*toJson*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#abstract-tojson)

*Defined in* [*src/api/entities/Account.ts:396*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Account.ts#L396)

Return the Account's address

**Returns:** *string*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v7/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/bf2b7a12/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v7/classes/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
